@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&family=Roboto:wght@400;700&display=swap");

/* Reset classes */
*{
    margin: 0;
    padding: 0;
    outline: 0;
    box-sizing: border-box;
}

:root{
 --primary-text-color: #183b56;
 --secondary-text-color: #577592;
 --accent-color: #2294ed;
 --accent-color-dark: #1d69a3;
--padding-inline-section: 20px;
}

body{
    font-family: "Poppins", sans-serif;
    color: var(--primary-text-color);
}

/* Vertical invisible line */
.container{
    max-width: 1180px;
    margin-inline: auto ;
    padding-inline: var(--padding-inline-section);
    overflow: hidden;
}

h1{
    font-size: 3rem;
}

h2{
    font-size: 2rem;
}

h3{
    font-size: 1.5rem;
}

p{
    font-family: "Roboto",sans-serif;
    font-size: 1.25rem;
    color: var(--secondary-text-color);
    line-height: 1.8rem;
}

a{
    text-decoration: none;
    display: inline-block;
}

/* Utility classes */
.small-bold-text{
    font-size: 1.2rem;
    font-weight: 700;
}
ul{
    list-style: none;
}

.flex{
    display: flex;
    align-items: center;
}

.primary-button{
 background-color: var(--accent-color);
 border-radius: 6px;
 font-weight: 700;
 color: white !important;
 padding: 12px 24px;
 box-shadow: 0 0 2px var(--secondary-text-color);
 transition: 0.2s ease-out;
}

.primary-button:hover {
    background-color: var(--accent-color-dark);
}
.secondary-button {
 border: 0.5px solid var(--secondary-text-color);
 border-radius: 6px;
 font-weight: 700;
 color: var(--primary-text-color) !important;
 padding: 12px 24px;
 transition: 0.2s ease-out;
}

.secondary-button:hover {
    border-color: var(--accent-color);
    color: var(--accent-color) !important;
}

/* Top banner */

.top-banner {
    background-color: #4fb3d4;
    background-image: url(../assets/asset\ 32.png);
    background-size: 300px;
}

.banner-text {
    color: #fff;
    padding: 10px 30px;
    font-size: 1.2rem;
    font-weight: 700;
    text-align: center;
}

/* Nav bar */
.main-nav {
    margin-top: 20px;
    justify-content: space-between;
    position: relative;
}

.company-logo img {
 width: 200px;
}

.nav-links {
    flex-basis: 730px;
}

.nav-links ul {
 justify-content: end;
 gap: 40px;
}

.hover-link {
    color: var(--primary-text-color);
    transition: 0.2s ease-out;
}

.hover-link:hover {
    color: var(--accent-color);
}

.nav-toggle {
    display: none;
}

/* Header section */

header {
    padding: 50px var(--padding-inline-section);
}

.header-section {
    justify-content: center;
    gap: 50px;
}

.header-left{
    max-width: 40vw;
}

.header-left h1 {
    margin-top: 20px;
}

.get-started-btn {
    margin-top: 20px;
}

.header-right img {
    width: 100%;
}

/* Companies header */

.companies-header {
    text-align: center;
    margin-block: 30px;
    color: var(--primary-text-color);
}

.logo {
    height: 46px;
}

.logos {
    justify-content: space-evenly;
    flex-wrap: wrap;
    gap: 20px;
}

/* Features section */
.features-section {
    padding: 80px var(--padding-inline-section);
    background-image: url(../assets/asset\ 41.png);
    background-repeat: no-repeat;
    background-position: center;
}

.features-header {
    text-align: center;
}

.features-heading-text {
    margin-bottom: 20px;
}

.secondary-margin{
    margin-bottom: 40px;
}

.features-area {
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 40px;
}

.features-card {
    flex-direction: column;
    text-align: center;
    gap: 20px;
    max-width: 30%;
}
/* Big feature section */
.big-feature-section{
    padding: 30px var(--padding-inline-section) ;
}

.big-feature-container {
    gap: 30px;
}

.feature-image img {
    width: 100%;
}

.feature-desc {
    flex-direction: column ;
    align-items: flex-start;
}

/*Examples -section*/

.examples-section {
    padding: 80px var(--padding-inline-section);
}

.examples-header {
    text-align: center;
    flex-direction: column;
    gap: 20px;
}

.examples-heading-text{
    margin-bottom: 20px;
}

.examples-area{
    margin-block: 30px;
    justify-content: space-between;
    flex-wrap: wrap;
}

.examples-card{
    width: 23%;
    position: relative;
    height: 300px;
    background: black;
    transition: 0.2s ease-out;
}

.examples-card:hover {
    box-shadow: 0, 0, 10px #888;
}

.card1 {
    background: linear-gradient(rgb(0, 0, 0, 0.1), rgb(0, 0, 0, 0.8)), url(../assets/asset\ 36.jpeg);
        background-size: cover;
        background-position: center;
}

.card2 {
    background: linear-gradient(rgb(0, 0, 0, 0.1), rgb(0, 0, 0, 0.8)), url(../assets/asset\ 39.jpeg);
    background-size: cover;
    background-position: center;
}

.card3 {
    background: linear-gradient(rgb(0, 0, 0, 0.1), rgb(0, 0, 0, 0.8)), url(../assets/asset\ 38.jpeg);
    background-size: cover;
    background-position: center;
}

.card4 {
    background: linear-gradient(rgb(0, 0, 0, 0.1), rgb(0, 0, 0, 0.8)), url(../assets/asset\ 37.jpeg);
    background-size: cover;
    background-position: center;
}

.card-text {
    position: absolute;
    bottom: 20px;
    left: 20px;
    right: 20px;
    color: white;
}

/* cta section */

.cta-section{
    padding: 30px var(--padding-inline-section) 40px;
    background-color: #183b54;
}

.cta-section-container{
    flex-direction: column;
    gap: 30px;
    color: white;
    text-align: center;
    align-items: center;
}

.cta-section-container p{
    color: white;
    margin-top: 10px;
    margin-bottom: 10px;
}

/* footer section*/

.footer{
    padding-block: 80px;
    background-color: #ebf2fa;
}

.footer-container{
    align-items: flex-start;
    justify-content: space-between;
}

.link-column{
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
}

/* Sub-footer section */

.subfooter{
    background-color: #b9cde4;
    padding: var(--padding-inline-section);
}

.subfooter-container {
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
}

@media screen and (max-width: 991px) {
    h3 {
        font-size: 1.2 rem;
    }

    .main-nav {
        overflow: initial;
    }

    .nav-toggle {
        display: block;
        margin-right: 20px;
    }

    .nav-links{
        position: absolute;
        background-color: white;
        right: -100%;
        top: 100%;
        width: 100%;
        padding-block: 20px;
        transition: 0.2s ease-in-out;
    }

    .nav-links.active {
        left: 0;
    }

    .nav-links ul {
        flex-direction: column;
    }

    .examples-card{
        width: calc(50% -10px);
        height: 230px;
    }

    .cta-section {
        padding-block: 80px;
    }
}

@media screen and (max-width: 767px) {

    primary-button{
        width: 50%;
        text-align: center;
    }

    .header-section {
        flex-direction: column-reverse;
    }

    .header-left {
        max-width: 100vw;
        text-align: center;
    }

    .features-card {
        min-width: calc(50% - 10px);
    }

    .big-feature-section {
        flex-direction: column;
    }

    .footer-container {
        flex-direction: column;
        align-items: center;
        gap: 40px;
    }

    .link-columns{
        align-items:stretch;
    }

    @media screen and (max-width: 479px) {

        :root {
            --padding-inline-section: 20px;
        }

        h1 {
            font-size: 2rem;
        }

        h2 {
            font-size: 1.5rem;
        }

        h3 {
            font-size: 1.2rem;
        }

        p {
            font-size: 1rem;
        }

        .features-card {
            min-width: calc(50%-10px);
        }

        .examples-card {
            width: 100%;
        }

    }
}
